Bug 1472729 - /usr/lib/ocf/resource.d/ovn/ovndb-servers is missing in the openvswitch.spec file
/usr/lib/ocf/resource.d/ovn/ovndb-servers is missing in the openvswitch.spec ...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Timothy Redaelli
Depends On:
Blocks: 1472296
  Show dependency treegraph
Reported: 2017-07-19 05:39 EDT by Numan Siddique
Modified: 2017-08-03 08:35 EDT (History)
11 users (show)

See Also:
Fixed In Version: openvswitch-2.7.2-1.git20170719.el7fdp
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-03 08:35:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Numan Siddique 2017-07-19 05:39:25 EDT
Description of problem:

The upstream openvswitch-fedora.spec.in has below section which is missing in the downstream openvswitch.spec file.

%post ovn-common
mkdir -p /usr/lib/ocf/resource.d/ovn
ln -sf %{_datadir}/openvswitch/scripts/ovndb-servers.ocf /usr/lib/ocf/resource.d/ovn/ovndb-servers

This section is required to create "ovn:ovsdb-servers" pacemaker resource to manage the OVN DB servers.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Assaf Muller 2017-07-19 09:35:36 EDT
This is blocking OVN in OSP in the upcoming 12 release.
Comment 5 Alan Pevec 2017-07-19 21:40:48 EDT
Upstream commit adding that %post section is https://github.com/openvswitch/ovs/commit/a4245b7869c8943415a153dfe1878829991a553a
which also added %postun ovn-common and ovndb-servers.ocf file entry.

In Fedora Rawhide distgit, ocf file entry was introduced in 2.7.0 update:

and symlink creation was introduced in 2.7.2 update:
in %install section

Should this be synced to upstream openvswitch-fedora.spec.in or vice versa?
Comment 6 Alan Pevec 2017-07-19 21:42:40 EDT
Numan, why is the symlink created in %post, that seems wrong?
Comment 7 Numan Siddique 2017-07-19 21:44:52 EDT
@Alan - I am not sure. The patch was added by Babu. What is the right way to do ?
May be we can do the right way and correct it in upstream
Comment 9 Alan Pevec 2017-07-19 22:05:35 EDT
(In reply to Numan Siddique from comment #7)
> @Alan - I am not sure. The patch was added by Babu. What is the right way to
> do ?
> May be we can do the right way and correct it in upstream

Right is what Timothy did in Fedora distgit, so that symlink is properly accounted for in rpmdb.
Comment 10 Timothy Redaelli 2017-07-20 03:18:38 EDT
I already sent a patch upstream, before doing that in Fedora Rawhide: https://patchwork.ozlabs.org/patch/791003/
Comment 13 qding 2017-07-26 04:52:18 EDT
reproduced with openvswitch-2.7.1-1.git20170710.el7fdp
verified with openvswitch-2.7.2-1.git20170719.el7fdp

[root@dell-per730-04 ~]# rpm -q openvswitch
[root@dell-per730-04 ~]# ls -l /lib/ocf/resource.d/ovn/
total 0
lrwxrwxrwx. 1 root root 48 Jul 22 04:12 ovndb-servers -> /usr/share/openvswitch/scripts/ovndb-servers.ocf
[root@dell-per730-04 ~]# ls -l /usr/lib/ocf/resource.d/ovn/
total 0
lrwxrwxrwx. 1 root root 48 Jul 22 04:12 ovndb-servers -> /usr/share/openvswitch/scripts/ovndb-servers.ocf
[root@dell-per730-04 ~]#
Comment 15 errata-xmlrpc 2017-08-03 08:35:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.